local _, L = ...
-- return myClass, mySpec, Kick_ID, ClassPowerID, ClassPowerType, RequireSpec, DispelableDebuffTable

L.Check_Spec = function()
	local mySpec = GetSpecialization()
	local _, myClass = UnitClass('player')
	if mySpec then
		local id, name, _, _, role = GetSpecializationInfo(mySpec)
--		print(id, name, role, primaryStat)
	end

-- SHAMAN
	if myClass == 'SHAMAN' then
		if mySpec == 3 then 
			return myClass, mySpec, 'Wind Shear', nil, nil, {classHasDispell = true, Magic = true, Curse = true, Disease = false, Poison = false}, {spellID = nil, ready = false}
		else
			return myClass, mySpec, 'Wind Shear', nil, nil, {classHasDispell = true, Magic = false, Curse = true, Disease = false, Poison = false}, {spellID = nil, ready = false}
		end

-- HUNTER
	elseif myClass == "HUNTER" then
		if mySpec == 3 then 
			return myClass, mySpec, 'Muzzle', nil, nil, {classHasDispell = false}, {spellID = nil, ready = false}
		else
			return myClass, mySpec, 'Counter Shot', nil, nil, {classHasDispell = false}, {spellID = nil, ready = false}
		end
		
-- DEATHKNIGHT
	elseif myClass == "DEATHKNIGHT" then
		return myClass, mySpec, 'Mind Freeze', nil, nil, {classHasDispell = false}, {spellID = nil, ready = false}
		
-- PALADIN
	elseif myClass == "PALADIN" then
		if mySpec == 3 then 
			return myClass, mySpec, 'Rebuke', Enum.PowerType.HolyPower, "HOLY_POWER", {classHasDispell = true, Magic = false, Curse = false, Disease = true, Poison = true}, {spellID = nil, ready = false}
		elseif mySpec == 2 then
			return myClass, mySpec, 'Rebuke', Enum.PowerType.HolyPower, "HOLY_POWER", {classHasDispell = true, Magic = false, Curse = false, Disease = true, Poison = true}, {spellID = nil, ready = false}
		else
			return myClass, mySpec, 'Rebuke', Enum.PowerType.HolyPower, "HOLY_POWER", {classHasDispell = true, Magic = true, Curse = false, Disease = true, Poison = true}, {spellID = nil, ready = false}
		end

-- ROGUE
	elseif myClass == "ROGUE" then
		return myClass, mySpec, 'Kick', Enum.PowerType.ComboPoints, "COMBO_POINTS", {classHasDispell = false}, {spellID = nil, ready = false}

-- warrior
	elseif myClass == "WARRIOR" then
		return myClass, mySpec, 'Pummel', nil, nil, {classHasDispell = false}, {spellID = nil, ready = false}

-- monk
	elseif myClass == "MONK" then
		if mySpec == 1 then
			return myClass, mySpec, 'Spear Hand Strike', nil, nil, {classHasDispell = true, Magic = false, Curse = false, Disease = true, Poison = true}, {spellID = 322109, ready = namePlateMixin:IsSpellReady(322109)} --SPEC_MONK_BREWMASTER
		elseif mySpec == 2 then
			return myClass, mySpec, nil, nil, nil, {classHasDispell = true, Magic = true, Curse = false, Disease = true, Poison = true}, {spellID = 322109, ready = namePlateMixin:IsSpellReady(322109)} -- SPEC_MONK_MISTWEAVER
		else
			return myClass, mySpec, 'Spear Hand Strike', Enum.PowerType.Chi, "CHI", {classHasDispell = true, Magic = false, Curse = false, Disease = true, Poison = true}, {spellID = 322109, ready = namePlateMixin:IsSpellReady(322109)} --SPEC_MONK_WINDWALKER
		end

-- mage
	elseif myClass == "MAGE" then
		if mySpec == 1 then
			return myClass, mySpec, 'Counterspell', Enum.PowerType.ArcaneCharges, "ARCANE_CHARGES", {classHasDispell = true, Magic = false, Curse = true, Disease = false, Poison = false}, {spellID = nil, ready = false}
		else
			return myClass, mySpec, 'Counterspell', nil, nil, {classHasDispell = true, Magic = false, Curse = true, Disease = false, Poison = false}, {spellID = nil, ready = false}
		end
-- priest
	elseif myClass == "PRIEST" then
		if mySpec == 3 then
			return myClass, mySpec, 'Silence', nil, nil, {classHasDispell = true, Magic = false, Curse = false, Disease = true, Poison = false}, {spellID = nil, ready = false} --SPEC_PRIEST_SHADOW
		else
			return myClass, mySpec, nil, nil, nil, {classHasDispell = true, Magic = true, Curse = false, Disease = true, Poison = false}, {spellID = nil, ready = false}
		end

-- druid
	elseif myClass == "DRUID" then
		if mySpec == 1 then
			return myClass, mySpec, 'Solar Beam', Enum.PowerType.ComboPoints, "COMBO_POINTS", {classHasDispell = true, Magic = false, Curse = true, Disease = false, Poison = true}, {spellID = nil, ready = false}
		elseif mySpec == 2 or mySpec == 3 then
			return myClass, mySpec, 'Skull Bash', Enum.PowerType.ComboPoints, "COMBO_POINTS", {classHasDispell = true, Magic = false, Curse = true, Disease = false, Poison = true}, {spellID = nil, ready = false}
		else	
			return myClass, mySpec, nil, Enum.PowerType.ComboPoints, "COMBO_POINTS", {classHasDispell = true, Magic = true, Curse = true, Disease = false, Poison = true}, {spellID = nil, ready = false}
		end

-- warlock
	elseif myClass == "WARLOCK" then
		return myClass, mySpec, 'Command Demon', Enum.PowerType.SoulShards, "SOUL_SHARDS", {classHasDispell = false}, {spellID = nil, ready = false} --SPEC_WARLOCK_AFFLICTION
	
-- demonhunter
	elseif myClass == "DEMONHUNTER" then
		return myClass, mySpec, 'Disrupt', nil, nil, {classHasDispell = false}, {spellID = nil, ready = false}
	end
end
